1.0

1.0

get /v1/volumes

Description

List volumes and details.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
Whether to show count
Example : True
any of [boolean, null]True
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]None
queryoffset
optional
Index of where to start in the list
Example : 0
any of [integer, null]None
queryname
optional
Volume name
Example : volume01
any of [string, null]None
querystate
optional
Volume state
Example : available
any of [string, null]None
querybootable
optional
Bootable
Example : False
any of [boolean, null]None

Responses

HTTP CodeDescriptionSchema
200OKVolumeListResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "count": 100,
    "volumes": [
        {
            "bootable": false,
            "created_at": "2026-02-11T06:44:40.281Z",
            "encrypted": true,
            "id": "3f500f00-ed80-4566-a057-e31760226f9a",
            "modified_at": "2025-07-26T12:00:00Z",
            "multiattach": false,
            "name": "volume01",
            "servers": [
                {
                    "attached_at": "2026-02-11T06:44:40.281Z",
                    "device": "/dev/vda",
                    "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
                }
            ],
            "size": 104,
            "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
            "state": "available",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "volume_image_metadata": {
                "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
                "container_format": "bare",
                "disk_format": "qcow2",
                "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
                "image_name": "imagename",
                "min_disk": 100,
                "min_ram": 0,
                "os_distro": "alma",
                "scp_image_type": "custom",
                "scp_k8s_version": "v1.28.7",
                "scp_original_image_type": "standard",
                "signature_verified": false,
                "size": 2429747200
            },
            "volume_type": "SSD",
            "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
        }
    ]
}